%define version 1.2
%define release %mkrel 2
%define fname %name-%version
%define pidgin_version 2.10.7

Summary:	GTK plugin for Pidgin
Summary(de):	GTK Plugin für Pidgin
Name:		pidgin-embeddedvideo
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Instant messaging
URL:		http://code.google.com/p/pidgin-embeddedvideo/
Source:		http://code.google.com/p/pidgin-embeddedvideo/downloads/list/%{fname}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pidgin-devel >= %{pidgin_version}
BuildRequires:	gtk+2-devel
BuildRequires:  libtool
BuildRequires:	%{_lib}webkitgtk1.0-devel
BuildRequires:  curl-devel
BuildRequires:  libxml2-devel
BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  libsoup-devel
BuildRequires:  libpixman-1-devel
BuildRequires:  libpng-devel
BuildRequires:  libdirectfb-devel
BuildRequires:  cairo-devel
Requires: 	pidgin >= %{pidgin_version}
Requires:   	%{_lib}icu51

%description
Pidgin Embedded Video is a GTK plugin for the popular instant messaging client Pidgin. 
The purpose of this plugin is to provide a faster way to watch videos while chatting 
with your friends. It transforms a simple conversation into a much more attractive and 
interesting experience. Sharing links to videos and watching them was never such a 
pleasant activity in Pidgin. 
#german
%description -l de
Wer Gmail und Google Chat verwendet, der kennt wahrscheinlich die Funktion, dass man 
bei Eintreffen eines Links zu einem YouTube-Video automatisch das Video im Chat selber 
angezeigt bekommt. Freunde von Pidgin wird es sicherlich freuen, dass man diese 
Funktionalität dank dem Pidgin Embedded Video Plugin auch mit Pidgin nutzen kann.

Das Plugin beschränkt sich dabei nicht nur auf YouTube, sondern erkennt zusätzlich 
Links zu Video-Portalen wie CollegeHumor, Dailymotion, Google Video, Metacafe, 
MySpace Video, Trilulilu, Vimeo, Yahoo! Video. Genauso wie das “Vorbild” bei Google 
Chat bindet es das Video automatisch in den Chat ein. 

%prep
%setup -q -n pidgin-embeddedvideo

%build
./configure && make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/pidgin/*.la

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/pidgin-embeddedvideo

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README COPYING NEWS
%{_libdir}/pidgin/*.so


%changelog
* Thu Feb 26 2015 bb <bb> 1.2-2pclos2015
- rebuild

* Thu Nov 14 2013 pinoc <vogtpet at gmail.com> 1.2-1pclos2013
- 1.2.0
- remove la-files

* Wed Nov 06 2013 billybot <billybot> 1.1.2-7pclos2013
- rebuild for new pcre

